• Pricing
  • Blog
Log inBook a demo
Create market POSTDelete market DELETEGet market GETList markets GETUpdate market PATCH
System status
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Delete market

Delete an unused market. Markets referenced by prices or subscriptions cannot be deleted.

DELETE
/markets/{id}

Delete an unused market. Markets referenced by prices or subscriptions cannot be deleted.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/markets/string"
{  "id": "string",  "deleted": true,  "object": "string",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Create market POST

Create a reusable market without attaching it to a plan or price. Countries can belong to only one active market.

Get market GET

Get one reusable market.